# apeman-service-toast@2.0.0

Service for toasts.

+ Functions
  + [create(args)](#apeman-service-toast-function-create)
+ [ApToastService](apeman-service-toast-classes) Class
  + [new ApToastService(store, options)](#apeman-service-toast-classes-ap-toast-service-constructor)
  + [service.getToasts(level)](#apeman-service-toast-classes-ap-toast-service-getToasts)
  + [service.toast(level, text)](#apeman-service-toast-classes-ap-toast-service-toast)
  + [service.infoToast(text)](#apeman-service-toast-classes-ap-toast-service-infoToast)
  + [service.warnToast(text)](#apeman-service-toast-classes-ap-toast-service-warnToast)
  + [service.errorToast(text)](#apeman-service-toast-classes-ap-toast-service-errorToast)

## Functions

<a class='md-heading-link' name="apeman-service-toast-function-create" ></a>

### create(args) -> `ApToastService`

Create the service instance

| Param | Type | Description |
| ----- | --- | -------- |
| args | * |  |



<a class='md-heading-link' name="apeman-service-toast-classes"></a>

## ApToastService Class

Service


<a class='md-heading-link' name="apeman-service-toast-classes-ap-toast-service-constructor" ></a>

### new ApToastService(store, options)

Constructor of ApToastService class

| Param | Type | Description |
| ----- | --- | -------- |
| store | Object | Redux store |
| options | Object | Optional settings |


<a class='md-heading-link' name="apeman-service-toast-classes-ap-toast-service-getToasts" ></a>

### service.getToasts(level) -> `Array.<string>`

Get toast

| Param | Type | Description |
| ----- | --- | -------- |
| level | string | Toast level |


<a class='md-heading-link' name="apeman-service-toast-classes-ap-toast-service-toast" ></a>

### service.toast(level, text) -> `Promise`

Show toast

| Param | Type | Description |
| ----- | --- | -------- |
| level | string | Toast level |
| text | string | Toast text |


<a class='md-heading-link' name="apeman-service-toast-classes-ap-toast-service-infoToast" ></a>

### service.infoToast(text) -> `Promise`

Show info toast

| Param | Type | Description |
| ----- | --- | -------- |
| text |  |  |


<a class='md-heading-link' name="apeman-service-toast-classes-ap-toast-service-warnToast" ></a>

### service.warnToast(text) -> `Promise`

Show warn toast

| Param | Type | Description |
| ----- | --- | -------- |
| text |  |  |


<a class='md-heading-link' name="apeman-service-toast-classes-ap-toast-service-errorToast" ></a>

### service.errorToast(text) -> `Promise`

Show error toast

| Param | Type | Description |
| ----- | --- | -------- |
| text |  |  |




