/**
 * Test case for apToastService.
 * Runs with mocha.
 */
'use strict'

const ApToastService = require('../lib/ap_toast_service.js')
const apemanstore = require('apemanstore')
const assert = require('assert')
const co = require('co')

describe('ap-toast-service', function () {
  this.timeout(3000)

  before(() => co(function * () {

  }))

  after(() => co(function * () {

  }))

  it('Do service', () => co(function * () {
    let store = apemanstore()
    let service = new ApToastService(store, { interval: 10 })
    assert.ok(service)
    let { infoToast, getToasts } = service
    yield infoToast('hoge')
    assert.equal(typeof getToasts, 'function')
  }))
})

/* global describe, before, after, it */
